package s.d.manager.model.ups;

import java.util.ArrayList;
import java.util.List;

public class ClimatControlUnit {

	private Integer assigment;
	private Integer state;
	private boolean extractIsFailed;

	public ClimatControlUnit(Integer assigment, Integer state) {
		
		setAssigment(assigment);
		setState(state);
	}

	public Integer getAssigment() {
		return assigment;
	}
	
	public String getAssigmentAsString() {
		try {
			//.    1
			return getClimatControlUnitAssigmentConstants().get(getAssigment());
		} catch (Exception e) {
			return "err";
		}
	}

	public List<String> getClimatControlUnitAssigmentConstants() {
		List<String> result = new ArrayList<String>();

		result.add(" 1");
		result.add(" 2");
		return result;
	}
	
	public List<String> getClimatControlUnitStateConstants() {
		List<String> result = new ArrayList<String>();
		result.add(" ");
		result.add("");
		return result;
	}
	
	public void setAssigment(Integer assigment) {
		this.assigment = assigment;
	}

	public Integer getState() {
		return state;
	}
	
	public String getStateAsString() {
		try {
			return getClimatControlUnitStateConstants().get(getState());
		} catch (Exception e) {
			return "err";
		}
	}

	public void setState(Integer state) {
		this.state = state;
	}

	@Override
	public String toString() {
		return "Relay [getAssigment()=" + getAssigmentAsString() + ", getState()="
				+ getStateAsString() + "]";
	}

	public boolean isExtractIsFailed() {
		return extractIsFailed;
	}

	public void setExtractIsFailed(boolean extractIsFailed) {
		this.extractIsFailed = extractIsFailed;
	}
}
