package s.d.manager.handlers;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.model.application.MApplication;
import org.eclipse.e4.ui.model.application.ui.MUIElement;
import org.eclipse.e4.ui.model.application.ui.basic.MWindow;
import org.eclipse.e4.ui.workbench.modeling.EModelService;

public class OpenSettingsHandler { 
	@Execute
    public void openWindow(EModelService modelService, MApplication application) {
		MUIElement window = modelService.find("s.d.manager.trimmedwindow.settings", application);
		MWindow cloneswindow = (MWindow) modelService.cloneElement(window, application);
		if (!window.isToBeRendered()) {
			window.setVisible(true);
			window.setOnTop(true);
			window.setToBeRendered(true);
			application.getChildren().add(cloneswindow);
			modelService.bringToTop(window);
			
		}
		
	}
}