package s.d.manager.model.ups;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;

import org.snmp4j.smi.VariableBinding;

import s.d.manager.snmp.UpsMib;

public class ClimatControl {

	List <String> climatControlAlarmOids = new ArrayList<String>();
	Map<String, Integer> climatControlAlarmsValues = new LinkedHashMap<String, Integer>();
	
	Map<String, Integer> climatControUnit1Values = new TreeMap<String, Integer>();
	Map<String, Integer> climatControUnit2Values = new TreeMap<String, Integer>();
	
	Map<String, Integer> climatControUnit1TemperaturesValues = new TreeMap<String, Integer>();
	Map<String, Integer> climatControUnit2TemperaturesValues = new TreeMap<String, Integer>();
	
	Map<String, Integer> climatControUnit1HumiditiesValues = new TreeMap<String, Integer>();
	Map<String, Integer> climatControUnit2HumiditiesValues = new TreeMap<String, Integer>();
	
	Map<String, Integer> climatControl_1_FanValues = new TreeMap<String, Integer>();
	Map<String, Integer> climatControl_2_FanValues = new TreeMap<String, Integer>();

	List <String> climatControlUnit1InitOids = new ArrayList<String>();
	List <String> climatControlUnit2InitOids = new ArrayList<String>();
	
	List <String> climatControl_1_TemperaturesOids = new ArrayList<String>();
	List <String> climatControl_2_TemperaturesOids = new ArrayList<String>();
	
	List <String> climatControl_1_HumiditiesOids = new ArrayList<String>();
	List <String> climatControl_2_HumiditiesOids = new ArrayList<String>();
	
	List <String> climatControl_1_FanOids = new ArrayList<String>();
	List <String> climatControl_2_FanOids = new ArrayList<String>();
	
	private Integer CLIMAT_CONTROL_UNIT_1_PRESENCE;
	public Integer CLIMAT_CONTROL_UNIT_1_CONNECT;
	private String CLIMAT_CONTROL_UNIT_1_NAME;
	private Integer CLIMAT_CONTROL_UNIT_1_IN_NUMBER;
	private Integer CLIMAT_CONTROL_UNIT_1_OUT_NUMBER;
	
	private Integer CLIMAT_CONTROL_UNIT_2_PRESENCE;
	public Integer CLIMAT_CONTROL_UNIT_2_CONNECT;
	private String CLIMAT_CONTROL_UNIT_2_NAME;
	private Integer CLIMAT_CONTROL_UNIT_2_IN_NUMBER;
	private Integer CLIMAT_CONTROL_UNIT_2_OUT_NUMBER;
	
	public Integer CLIMAT_CONTROL_1_T1; 
    

	public Integer CLIMAT_CONTROL_1_T2;    
    public Integer ClimatControl_1_T1Presence;
    public Integer ClimatControl_1_T2Presence;
    
    public Integer CLIMAT_CONTROL_2_T1; 
    public Integer CLIMAT_CONTROL_2_T2;    
    public Integer ClimatControl_2_T1Presence;
    public Integer ClimatControl_2_T2Presence;
	
    public Integer CLIMAT_CONTROL_1_H1;                            
    public Integer getCLIMAT_CONTROL_1_H1() {
		return CLIMAT_CONTROL_1_H1;
	}

	public void setCLIMAT_CONTROL_1_H1(Integer cLIMAT_CONTROL_1_H1) {
		CLIMAT_CONTROL_1_H1 = cLIMAT_CONTROL_1_H1;
	}

	public Integer getCLIMAT_CONTROL_1_H1Presence() {
		return CLIMAT_CONTROL_1_H1Presence;
	}

	public Integer getCLIMAT_CONTROL_2_H1() {
		return CLIMAT_CONTROL_2_H1;
	}

	public Integer getCLIMAT_CONTROL_2_H1Presence() {
		return CLIMAT_CONTROL_2_H1Presence;
	}

	public Integer CLIMAT_CONTROL_1_H1Presence; 
   
    public Integer CLIMAT_CONTROL_2_H1;                            
    public Integer CLIMAT_CONTROL_2_H1Presence;
    
    public Integer CLIMAT_CONTROL_1_FAN_PRESENCE;                 
    public Integer getCLIMAT_CONTROL_1_FAN_PRESENCE() {
		return CLIMAT_CONTROL_1_FAN_PRESENCE;
	}

	public void setCLIMAT_CONTROL_1_FAN_PRESENCE(
			Integer cLIMAT_CONTROL_1_FAN_PRESENCE) {
		CLIMAT_CONTROL_1_FAN_PRESENCE = cLIMAT_CONTROL_1_FAN_PRESENCE;
	}

	public Integer getCLIMAT_CONTROL_1_FAN_TEMP_LOW() {
		return CLIMAT_CONTROL_1_FAN_TEMP_LOW;
	}

	public void setCLIMAT_CONTROL_1_FAN_TEMP_LOW(
			Integer cLIMAT_CONTROL_1_FAN_TEMP_LOW) {
		CLIMAT_CONTROL_1_FAN_TEMP_LOW = cLIMAT_CONTROL_1_FAN_TEMP_LOW;
	}

	public Integer getCLIMAT_CONTROL_1_FAN_TEMP_HIGH() {
		return CLIMAT_CONTROL_1_FAN_TEMP_HIGH;
	}

	public void setCLIMAT_CONTROL_1_FAN_TEMP_HIGH(
			Integer cLIMAT_CONTROL_1_FAN_TEMP_HIGH) {
		CLIMAT_CONTROL_1_FAN_TEMP_HIGH = cLIMAT_CONTROL_1_FAN_TEMP_HIGH;
	}

	public Integer getCLIMAT_CONTROL_1_FAN_POWER() {
		return CLIMAT_CONTROL_1_FAN_POWER;
	}

	public void setCLIMAT_CONTROL_1_FAN_POWER(Integer cLIMAT_CONTROL_1_FAN_POWER) {
		CLIMAT_CONTROL_1_FAN_POWER = cLIMAT_CONTROL_1_FAN_POWER;
	}

	public Integer getCLIMAT_CONTROL_2_FAN_PRESENCE() {
		return CLIMAT_CONTROL_2_FAN_PRESENCE;
	}

	public void setCLIMAT_CONTROL_2_FAN_PRESENCE(
			Integer cLIMAT_CONTROL_2_FAN_PRESENCE) {
		CLIMAT_CONTROL_2_FAN_PRESENCE = cLIMAT_CONTROL_2_FAN_PRESENCE;
	}

	public Integer getCLIMAT_CONTROL_2_FAN_TEMP_LOW() {
		return CLIMAT_CONTROL_2_FAN_TEMP_LOW;
	}

	public void setCLIMAT_CONTROL_2_FAN_TEMP_LOW(
			Integer cLIMAT_CONTROL_2_FAN_TEMP_LOW) {
		CLIMAT_CONTROL_2_FAN_TEMP_LOW = cLIMAT_CONTROL_2_FAN_TEMP_LOW;
	}

	public Integer getCLIMAT_CONTROL_2_FAN_TEMP_HIGH() {
		return CLIMAT_CONTROL_2_FAN_TEMP_HIGH;
	}

	public void setCLIMAT_CONTROL_2_FAN_TEMP_HIGH(
			Integer cLIMAT_CONTROL_2_FAN_TEMP_HIGH) {
		CLIMAT_CONTROL_2_FAN_TEMP_HIGH = cLIMAT_CONTROL_2_FAN_TEMP_HIGH;
	}

	public Integer getCLIMAT_CONTROL_2_FAN_POWER() {
		return CLIMAT_CONTROL_2_FAN_POWER;
	}

	public void setCLIMAT_CONTROL_2_FAN_POWER(Integer cLIMAT_CONTROL_2_FAN_POWER) {
		CLIMAT_CONTROL_2_FAN_POWER = cLIMAT_CONTROL_2_FAN_POWER;
	}

	public Integer CLIMAT_CONTROL_1_FAN_TEMP_LOW;
    public Integer CLIMAT_CONTROL_1_FAN_TEMP_HIGH;
    public Integer CLIMAT_CONTROL_1_FAN_POWER;
    
    public Integer CLIMAT_CONTROL_2_FAN_PRESENCE;                 
    public Integer CLIMAT_CONTROL_2_FAN_TEMP_LOW;
    public Integer CLIMAT_CONTROL_2_FAN_TEMP_HIGH;
    public Integer CLIMAT_CONTROL_2_FAN_POWER;
    
    public List<InputsTableRow> climatControl_1_InputsTable;
    public List<OutputsTableRow> climatControl_1_OutputsTable;
    public List<OutputsTableRow> getClimatControl_1_OutputsTable() {
		return climatControl_1_OutputsTable;
	}

	public void setClimatControl_1_OutputsTable(
			List<OutputsTableRow> climatControl_1_OutputsTable) {
		this.climatControl_1_OutputsTable = climatControl_1_OutputsTable;
	}

	public List<InputsTableRow> climatControl_2_InputsTable;
    public List<InputsTableRow> getClimatControl_2_InputsTable() {
		return climatControl_2_InputsTable;
	}

	public void setClimatControl_2_InputsTable(
			List<InputsTableRow> climatControl_2_InputsTable) {
		this.climatControl_2_InputsTable = climatControl_2_InputsTable;
	}

	public List<OutputsTableRow> climatControl_2_OutputsTable;
	
	private List<ClimatControlUnit> climatControlUnitList = new ArrayList<ClimatControlUnit>();
    
	public List<ClimatControlUnit> getClimatControlUnitList() {
		return climatControlUnitList;
	}
	
	public void setClimatControlUnitList(List<ClimatControlUnit> list) {
		this.climatControlUnitList = list;
	}
	
	public List<OutputsTableRow> getClimatControl_2_OutputsTable() {
		return climatControl_2_OutputsTable;
	}

	public void setClimatControl_2_OutputsTable(
			List<OutputsTableRow> climatControl_2_OutputsTable) {
		this.climatControl_2_OutputsTable = climatControl_2_OutputsTable;
	}

	public List<InputsTableRow> getClimatControl_1_InputsTable() {
		return climatControl_1_InputsTable;
	}

	public void setClimatControl_1_InputsTable(
			List<InputsTableRow> climatControl_1_InputsTable) {
		this.climatControl_1_InputsTable = climatControl_1_InputsTable;
	}

	public ClimatControl() {
		climatControlUnitList.clear();
		climatControlAlarmOids.add(UpsMib.CLIMAT_CONTROL_DOOR_ALARM_FLAG);
		climatControlAlarmOids.add(UpsMib.CLIMAT_CONTROL_FIRE_ALARM_FLAG);
		climatControlAlarmOids.add(UpsMib.CLIMAT_CONTROL_FIRE_FIGHTING_ALARM_FLAG);
		climatControlAlarmOids.add(UpsMib.CLIMAT_CONTROL_FLOOD_ALARM_FLAG);
		climatControlAlarmOids.add(UpsMib.CLIMAT_CONTROL_CONDITIONER_ALARM_FLAG);
		climatControlAlarmOids.add(UpsMib.CLIMAT_CONTROL_CONDITIONER_LOCK_FLAG);
		climatControlAlarmOids.add(UpsMib.CLIMAT_CONTROL_IMPACT_FLAG);
		climatControlAlarmOids.add(UpsMib.CLIMAT_CONTROL_FAN_ALARM_FLAG);
		climatControlAlarmOids.add(UpsMib.CLIMAT_CONTROL_FAN_LOCK_FLAG);
		climatControlAlarmOids.add(UpsMib.CLIMAT_CONTROL_SMOKE_FLAG);
		
		climatControlUnit1InitOids.add(UpsMib.CLIMAT_CONTROL_UNIT_1_PRESENCE);
		climatControlUnit1InitOids.add(UpsMib.CLIMAT_CONTROL_UNIT_1_CONNECT);
		//climatControlUnit1InitOids.add(UpsMib.CLIMAT_CONTROL_UNIT_1_NAME);
		climatControlUnit1InitOids.add(UpsMib.CLIMAT_CONTROL_UNIT_1_IN_NUMBER);
		climatControlUnit1InitOids.add(UpsMib.CLIMAT_CONTROL_UNIT_1_OUT_NUMBER);
		
		climatControlUnit2InitOids.add(UpsMib.CLIMAT_CONTROL_UNIT_2_PRESENCE);
		climatControlUnit2InitOids.add(UpsMib.CLIMAT_CONTROL_UNIT_2_CONNECT);
		//climatControlUnit2InitOids.add(UpsMib.CLIMAT_CONTROL_UNIT_2_NAME);
		climatControlUnit2InitOids.add(UpsMib.CLIMAT_CONTROL_UNIT_2_IN_NUMBER);
		climatControlUnit2InitOids.add(UpsMib.CLIMAT_CONTROL_UNIT_2_OUT_NUMBER);
		
		climatControl_1_TemperaturesOids.add(UpsMib.CLIMAT_CONTROL_1_T1);
		climatControl_1_TemperaturesOids.add(UpsMib.CLIMAT_CONTROL_1_T2);
		climatControl_1_TemperaturesOids.add(UpsMib.ClimatControl_1_T1Presence);
		climatControl_1_TemperaturesOids.add(UpsMib.ClimatControl_1_T2Presence);
		
		climatControl_2_TemperaturesOids.add(UpsMib.CLIMAT_CONTROL_2_T1);
		climatControl_2_TemperaturesOids.add(UpsMib.CLIMAT_CONTROL_2_T2);
		climatControl_2_TemperaturesOids.add(UpsMib.ClimatControl_2_T1Presence);
		climatControl_2_TemperaturesOids.add(UpsMib.ClimatControl_2_T2Presence);
		
		climatControl_1_HumiditiesOids.add(UpsMib.CLIMAT_CONTROL_1_H1);
		climatControl_1_HumiditiesOids.add(UpsMib.CLIMAT_CONTROL_1_H1Presence);
		
		climatControl_2_HumiditiesOids.add(UpsMib.CLIMAT_CONTROL_2_H1);
		climatControl_2_HumiditiesOids.add(UpsMib.CLIMAT_CONTROL_2_H1Presence);
		
		climatControl_1_FanOids.add(UpsMib.CLIMAT_CONTROL_1_FAN_PRESENCE);
		climatControl_1_FanOids.add(UpsMib.CLIMAT_CONTROL_1_FAN_TEMP_LOW);
		climatControl_1_FanOids.add(UpsMib.CLIMAT_CONTROL_1_FAN_TEMP_HIGH);
		climatControl_1_FanOids.add(UpsMib.CLIMAT_CONTROL_1_FAN_POWER);
		
		climatControl_2_FanOids.add(UpsMib.CLIMAT_CONTROL_2_FAN_PRESENCE);
		climatControl_2_FanOids.add(UpsMib.CLIMAT_CONTROL_2_FAN_TEMP_LOW);
		climatControl_2_FanOids.add(UpsMib.CLIMAT_CONTROL_2_FAN_TEMP_HIGH);
		climatControl_2_FanOids.add(UpsMib.CLIMAT_CONTROL_2_FAN_POWER);
		
		climatControl_1_InputsTable = new ArrayList<InputsTableRow>();
	}
	
	public List<String> getClimatControlAlarmOids() {
		return climatControlAlarmOids;
	}
	
	public LinkedHashMap<String, Integer> getClimatControlAlarmsValues() {
		return (LinkedHashMap<String, Integer>) climatControlAlarmsValues;
	}
	
	public boolean fillClimatControlAlarms(List<Integer> values) {
		if (values.size() != climatControlAlarmOids.size()) {
			return false;
		} else {
			climatControlAlarmsValues.put(" !", values.get(0));
			climatControlAlarmsValues.put("  !", values.get(1));
			climatControlAlarmsValues.put(" !", values.get(2));
			climatControlAlarmsValues.put("!", values.get(3));
			climatControlAlarmsValues.put(" !", values.get(4));
			climatControlAlarmsValues.put(" !", values.get(5));
			climatControlAlarmsValues.put("", values.get(6));
			climatControlAlarmsValues.put(" !", values.get(7));
			climatControlAlarmsValues.put(" !", values.get(8));
			climatControlAlarmsValues.put("!", values.get(9));
			return true;
		}
	}
	
	public void fillUnit1InitParams(List<Integer> values) {
		CLIMAT_CONTROL_UNIT_1_PRESENCE = values.get(0);
		CLIMAT_CONTROL_UNIT_1_CONNECT = values.get(1);
		//CLIMAT_CONTROL_UNIT_1_NAME = values.get(2);
		CLIMAT_CONTROL_UNIT_1_IN_NUMBER = values.get(2);
		CLIMAT_CONTROL_UNIT_1_OUT_NUMBER = values.get(3);
		climatControlUnitList .add(new ClimatControlUnit(0 ,CLIMAT_CONTROL_UNIT_1_PRESENCE));
		
		climatControUnit1Values.put("CLIMAT_CONTROL_UNIT_1_PRESENCE", CLIMAT_CONTROL_UNIT_1_PRESENCE);
		climatControUnit1Values.put("CLIMAT_CONTROL_UNIT_1_CONNECT", CLIMAT_CONTROL_UNIT_1_CONNECT);
		//climatControUnit1.put("CLIMAT_CONTROL_UNIT_1_NAME", CLIMAT_CONTROL_UNIT_1_NAME);
		climatControUnit1Values.put("CLIMAT_CONTROL_UNIT_1_IN_NUMBER", CLIMAT_CONTROL_UNIT_1_IN_NUMBER);
		climatControUnit1Values.put("CLIMAT_CONTROL_UNIT_1_OUT_NUMBER", CLIMAT_CONTROL_UNIT_1_OUT_NUMBER);
	}
	
	public void fillUnit2InitParams(List<Integer> values) {
		CLIMAT_CONTROL_UNIT_2_PRESENCE = values.get(0);
		CLIMAT_CONTROL_UNIT_2_CONNECT = values.get(1);
		//CLIMAT_CONTROL_UNIT_2_NAME = values.get(2).toString();
		CLIMAT_CONTROL_UNIT_2_IN_NUMBER = values.get(2);
		CLIMAT_CONTROL_UNIT_2_OUT_NUMBER = values.get(3);
		
		climatControlUnitList.add(new ClimatControlUnit(0 ,CLIMAT_CONTROL_UNIT_2_PRESENCE));
		
		climatControUnit2Values.put("CLIMAT_CONTROL_UNIT_2_PRESENCE", CLIMAT_CONTROL_UNIT_2_PRESENCE);
		climatControUnit2Values.put("CLIMAT_CONTROL_UNIT_2_CONNECT", CLIMAT_CONTROL_UNIT_2_CONNECT);
		//climatControUnit2.put("CLIMAT_CONTROL_UNIT_2_NAME", CLIMAT_CONTROL_UNIT_2_NAME);
		climatControUnit2Values.put("CLIMAT_CONTROL_UNIT_2_IN_NUMBER", CLIMAT_CONTROL_UNIT_2_IN_NUMBER);
		climatControUnit2Values.put("CLIMAT_CONTROL_UNIT_2_OUT_NUMBER", CLIMAT_CONTROL_UNIT_2_OUT_NUMBER);
	}
	
	public void fillClimatControl_1_Temperatures(List<Integer> values) {
		CLIMAT_CONTROL_1_T1 = values.get(0); 
		CLIMAT_CONTROL_1_T2 = values.get(1);     
	    ClimatControl_1_T1Presence = values.get(2); 
	    ClimatControl_1_T2Presence = values.get(3); 
	    
	    climatControUnit1TemperaturesValues.put("CLIMAT_CONTROL_1_T1", CLIMAT_CONTROL_1_T1);
	    climatControUnit1TemperaturesValues.put("CLIMAT_CONTROL_1_T2", CLIMAT_CONTROL_1_T2);
	    climatControUnit1TemperaturesValues.put("ClimatControl_1_T1Presence", ClimatControl_1_T1Presence);
	    climatControUnit1TemperaturesValues.put("ClimatControl_1_T2Presence", ClimatControl_1_T2Presence);
	}
	
	public void fillClimatControl_2_Temperatures(List<Integer> values) {
		CLIMAT_CONTROL_2_T1 = values.get(0); 
		CLIMAT_CONTROL_2_T2 = values.get(1);     
	    ClimatControl_2_T1Presence = values.get(2); 
	    ClimatControl_2_T2Presence = values.get(3);
	    
	    climatControUnit2TemperaturesValues.put("CLIMAT_CONTROL_2_T1", CLIMAT_CONTROL_2_T1);
	    climatControUnit2TemperaturesValues.put("CLIMAT_CONTROL_2_T2", CLIMAT_CONTROL_2_T2);
	    climatControUnit2TemperaturesValues.put("ClimatControl_2_T1Presence", ClimatControl_2_T1Presence);
	    climatControUnit2TemperaturesValues.put("ClimatControl_2_T2Presence", ClimatControl_2_T2Presence);
	}
	
	public void fillClimatControl_1_Humidities(List<Integer> values) {
		 CLIMAT_CONTROL_1_H1 = values.get(0);                            
		 CLIMAT_CONTROL_1_H1Presence = values.get(1);
		 
		 climatControUnit1HumiditiesValues.put("CLIMAT_CONTROL_1_H1", CLIMAT_CONTROL_1_H1);
		 climatControUnit1HumiditiesValues.put("CLIMAT_CONTROL_1_H1Presence", CLIMAT_CONTROL_1_H1Presence);
	}
	
	public void fillClimatControl_2_Humidities(List<Integer> values) {
		 CLIMAT_CONTROL_2_H1 = values.get(0);                            
		 CLIMAT_CONTROL_2_H1Presence = values.get(1);
		
		 climatControUnit2HumiditiesValues.put("CLIMAT_CONTROL_2_H1", CLIMAT_CONTROL_2_H1);
		 climatControUnit2HumiditiesValues.put("CLIMAT_CONTROL_2_H1Presence", CLIMAT_CONTROL_2_H1Presence);
	}
	
	public void fillClimatControl_1_Fan(List<Integer> values) {
		CLIMAT_CONTROL_1_FAN_PRESENCE = values.get(0);                 
	    CLIMAT_CONTROL_1_FAN_TEMP_LOW = values.get(1);
	    CLIMAT_CONTROL_1_FAN_TEMP_HIGH = values.get(2);
	    CLIMAT_CONTROL_1_FAN_POWER = values.get(3);
	    
	    climatControl_1_FanValues.put("CLIMAT_CONTROL_1_FAN_PRESENCE", CLIMAT_CONTROL_1_FAN_PRESENCE);
	    climatControl_1_FanValues.put("CLIMAT_CONTROL_1_FAN_TEMP_LOW", CLIMAT_CONTROL_1_FAN_TEMP_LOW);
	    climatControl_1_FanValues.put("CLIMAT_CONTROL_1_FAN_TEMP_HIGH", CLIMAT_CONTROL_1_FAN_TEMP_HIGH);
	    climatControl_1_FanValues.put("CLIMAT_CONTROL_1_FAN_POWER", CLIMAT_CONTROL_1_FAN_POWER);    
	}
	
	public void fillClimatControl_2_Fan(List<Integer> values) {
		CLIMAT_CONTROL_2_FAN_PRESENCE = values.get(0);                 
	    CLIMAT_CONTROL_2_FAN_TEMP_LOW = values.get(1);
	    CLIMAT_CONTROL_2_FAN_TEMP_HIGH = values.get(2);
	    CLIMAT_CONTROL_2_FAN_POWER = values.get(3);
	    
	    climatControl_2_FanValues.put("CLIMAT_CONTROL_2_FAN_PRESENCE", CLIMAT_CONTROL_2_FAN_PRESENCE);
	    climatControl_2_FanValues.put("CLIMAT_CONTROL_2_FAN_TEMP_LOW", CLIMAT_CONTROL_2_FAN_TEMP_LOW);
	    climatControl_2_FanValues.put("CLIMAT_CONTROL_2_FAN_TEMP_HIGH", CLIMAT_CONTROL_2_FAN_TEMP_HIGH);
	    climatControl_2_FanValues.put("CLIMAT_CONTROL_2_FAN_POWER", CLIMAT_CONTROL_2_FAN_POWER);    
	}
	
	public void initCLimatic(List<Integer> values){
		CLIMAT_CONTROL_2_T1 = values.get(0); 
		CLIMAT_CONTROL_2_T2 = values.get(1);     
	    ClimatControl_2_T1Presence = values.get(2); 
	    ClimatControl_2_T2Presence = values.get(3);
	}

	public Integer getCLIMAT_CONTROL_UNIT_1_PRESENCE() {
		return CLIMAT_CONTROL_UNIT_1_PRESENCE;
	}

	public void setCLIMAT_CONTROL_UNIT_1_PRESENCE(
			Integer cLIMAT_CONTROL_UNIT_1_PRESENCE) {
		CLIMAT_CONTROL_UNIT_1_PRESENCE = cLIMAT_CONTROL_UNIT_1_PRESENCE;
	}

	public Integer getCLIMAT_CONTROL_UNIT_1_CONNECT() {
		return CLIMAT_CONTROL_UNIT_1_CONNECT;
	}

	public void setCLIMAT_CONTROL_UNIT_1_CONNECT(
			Integer cLIMAT_CONTROL_UNIT_1_CONNECT) {
		CLIMAT_CONTROL_UNIT_1_CONNECT = cLIMAT_CONTROL_UNIT_1_CONNECT;
	}

	public String getCLIMAT_CONTROL_UNIT_1_NAME() {
		return CLIMAT_CONTROL_UNIT_1_NAME;
	}

	public void setCLIMAT_CONTROL_UNIT_1_NAME(String cLIMAT_CONTROL_UNIT_1_NAME) {
		CLIMAT_CONTROL_UNIT_1_NAME = cLIMAT_CONTROL_UNIT_1_NAME;
	}

	public Integer getCLIMAT_CONTROL_UNIT_1_IN_NUMBER() {
		return CLIMAT_CONTROL_UNIT_1_IN_NUMBER;
	}

	public void setCLIMAT_CONTROL_UNIT_1_IN_NUMBER(
			Integer cLIMAT_CONTROL_UNIT_1_IN_NUMBER) {
		CLIMAT_CONTROL_UNIT_1_IN_NUMBER = cLIMAT_CONTROL_UNIT_1_IN_NUMBER;
	}

	public Integer getCLIMAT_CONTROL_UNIT_1_OUT_NUMBER() {
		return CLIMAT_CONTROL_UNIT_1_OUT_NUMBER;
	}

	public void setCLIMAT_CONTROL_UNIT_1_OUT_NUMBER(
			Integer cLIMAT_CONTROL_UNIT_1_OUT_NUMBER) {
		CLIMAT_CONTROL_UNIT_1_OUT_NUMBER = cLIMAT_CONTROL_UNIT_1_OUT_NUMBER;
	}

	public Integer getCLIMAT_CONTROL_UNIT_2_PRESENCE() {
		return CLIMAT_CONTROL_UNIT_2_PRESENCE;
	}

	public void setCLIMAT_CONTROL_UNIT_2_PRESENCE(
			Integer cLIMAT_CONTROL_UNIT_2_PRESENCE) {
		CLIMAT_CONTROL_UNIT_2_PRESENCE = cLIMAT_CONTROL_UNIT_2_PRESENCE;
	}

	public Integer getCLIMAT_CONTROL_UNIT_2_CONNECT() {
		return CLIMAT_CONTROL_UNIT_2_CONNECT;
	}

	public void setCLIMAT_CONTROL_UNIT_2_CONNECT(
			Integer cLIMAT_CONTROL_UNIT_2_CONNECT) {
		CLIMAT_CONTROL_UNIT_2_CONNECT = cLIMAT_CONTROL_UNIT_2_CONNECT;
	}

	public String getCLIMAT_CONTROL_UNIT_2_NAME() {
		return CLIMAT_CONTROL_UNIT_2_NAME;
	}

	public void setCLIMAT_CONTROL_UNIT_2_NAME(String cLIMAT_CONTROL_UNIT_2_NAME) {
		CLIMAT_CONTROL_UNIT_2_NAME = cLIMAT_CONTROL_UNIT_2_NAME;
	}

	public Integer getCLIMAT_CONTROL_UNIT_2_IN_NUMBER() {
		return CLIMAT_CONTROL_UNIT_2_IN_NUMBER;
	}

	public void setCLIMAT_CONTROL_UNIT_2_IN_NUMBER(
			Integer cLIMAT_CONTROL_UNIT_2_IN_NUMBER) {
		CLIMAT_CONTROL_UNIT_2_IN_NUMBER = cLIMAT_CONTROL_UNIT_2_IN_NUMBER;
	}

	public Integer getCLIMAT_CONTROL_UNIT_2_OUT_NUMBER() {
		return CLIMAT_CONTROL_UNIT_2_OUT_NUMBER;
	}

	public void setCLIMAT_CONTROL_UNIT_2_OUT_NUMBER(
			Integer cLIMAT_CONTROL_UNIT_2_OUT_NUMBER) {
		CLIMAT_CONTROL_UNIT_2_OUT_NUMBER = cLIMAT_CONTROL_UNIT_2_OUT_NUMBER;
	}
	public Map<String, Integer> getClimatControUnit1Values() {
		return climatControUnit1Values;
	}
	public Map<String, Integer> getClimatControUnit2Values() {
		return climatControUnit2Values;
	}
	public List<String> getClimatControlUnit1InitOids() {
		return climatControlUnit1InitOids;
	}
	public Integer getCLIMAT_CONTROL_1_T1() {
		return CLIMAT_CONTROL_1_T1;
	}

	public Integer getCLIMAT_CONTROL_1_T2() {
		return CLIMAT_CONTROL_1_T2;
	}

	public Integer getClimatControl_1_T1Presence() {
		return ClimatControl_1_T1Presence;
	}

	public Integer getClimatControl_1_T2Presence() {
		return ClimatControl_1_T2Presence;
	}

	public Integer getCLIMAT_CONTROL_2_T1() {
		return CLIMAT_CONTROL_2_T1;
	}

	public Integer getCLIMAT_CONTROL_2_T2() {
		return CLIMAT_CONTROL_2_T2;
	}
	
	public Integer getClimatControl_2_T1Presence() {
		return ClimatControl_2_T1Presence;
	}

	public Integer getClimatControl_2_T2Presence() {
		return ClimatControl_2_T2Presence;
	}
	
	public List<String> getClimatControl_1_TemperaturesOids() {
		return climatControl_1_TemperaturesOids;
	}

	public List<String> getClimatControl_2_TemperaturesOids() {
		return climatControl_2_TemperaturesOids;
	}
	
	public Map<String, Integer> getClimatControUnit1TemperaturesValues() {
		return climatControUnit1TemperaturesValues;
	}

	public Map<String, Integer> getClimatControUnit2TemperaturesValues() {
		return climatControUnit2TemperaturesValues;
	}
	public List<String> getClimatControlUnit2InitOids() {
		return climatControlUnit2InitOids;
	}
	
	public Map<String, Integer> getClimatControUnit1HumiditiesValues() {
		return climatControUnit1HumiditiesValues;
	}

	public Map<String, Integer> getClimatControUnit2HumiditiesValues() {
		return climatControUnit2HumiditiesValues;
	}
	
	public List<String> getClimatControl_1_HumiditiesOids() {
		return climatControl_1_HumiditiesOids;
	}

	public List<String> getClimatControl_2_HumiditiesOids() {
		return climatControl_2_HumiditiesOids;
	}
	
	public Map<String, Integer> getClimatControl_1_FanValues() {
		return climatControl_1_FanValues;
	}

	public Map<String, Integer> getClimatControl_2_FanValues() {
		return climatControl_2_FanValues;
	}

	public List<String> getClimatControl_1_FanOids() {
		return climatControl_1_FanOids;
	}

	public List<String> getClimatControl_2_FanOids() {
		return climatControl_2_FanOids;
	}
	
	public class InputsTableRow{
		
		private Integer inputFlag;
		private Integer inputType;
		private String inputAssigment;
		private Integer inputDelay;
		
		public InputsTableRow() {
			
		}

		public Integer getInputFlag() {
			return inputFlag;
		}

		public void setInputFlag(Integer inputFlag) {
			this.inputFlag = inputFlag;
		}

		public Integer getInputType() {
			return inputType;
		}

		public void setInputType(Integer inputType) {
			this.inputType = inputType;
		}

		public String getInputAssigment() {
			return inputAssigment;
		}

		public void setInputAssigment(String inputAssigment) {
			this.inputAssigment = inputAssigment;
		}

		public Integer getInputDelay() {
			return inputDelay;
		}

		public void setInputDelay(Integer inputDelay) {
			this.inputDelay = inputDelay;
		}
		
		public void fillRow(VariableBinding[] vb) {
			try {
				setInputFlag(vb[1].getVariable().toInt());
				setInputType(vb[2].getVariable().toInt());
				setInputAssigment(vb[3].getVariable().toString());
				setInputDelay(vb[4].getVariable().toInt());
			} catch (Exception e) {
				
			}
		}
	}
	
	public class OutputsTableRow {
		
		private Integer outputFlag;
		private String outputAssigment;
		public OutputsTableRow() {
			
		}
		public Integer getOutputFlag() {
			return outputFlag;
		}
		public void setOutputFlag(Integer outputFlag) {
			this.outputFlag = outputFlag;
		}
		public String getOutputAssigment() {
			return outputAssigment;
		}
		public void setOutputAssigment(String outputAssigment) {
			this.outputAssigment = outputAssigment;
		}
	}
}
 
