package s.d.manager.model.ups;

import java.util.List;

public class PhaseParam {

	private String upsPhaseIndex;
	private String upsPhaseInVoltage;
	private String upsPhaseFrequency;
	private String upsPhaseOutVoltage;
	private String upsPhaseOutCurrent;
	
	public PhaseParam() {
		
	}

	public PhaseParam(List<String> buf) {
		setUpsPhaseIndex(buf.get(0));
		setUpsPhaseInVoltage(buf.get(1));
		setUpsPhaseFrequency(buf.get(2));
		setUpsPhaseOutCurrent(buf.get(4));
		setUpsPhaseOutVoltage(buf.get(3));
	}
	
	public String getUpsPhaseIndex() {
		return upsPhaseIndex;
	}

	public void setUpsPhaseIndex(String upsPhaseIndex) {
		this.upsPhaseIndex = upsPhaseIndex;
	}

	public String getUpsPhaseInVoltage() {
		return upsPhaseInVoltage;
	}

	public void setUpsPhaseInVoltage(String upsPhaseInVoltage) {
		this.upsPhaseInVoltage = upsPhaseInVoltage;
	}

	public String getUpsPhaseFrequency() {
		return upsPhaseFrequency;
	}

	public void setUpsPhaseFrequency(String upsPhaseFrequency) {
		this.upsPhaseFrequency = upsPhaseFrequency;
	}

	public String getUpsPhaseOutVoltage() {
		return upsPhaseOutVoltage;
	}

	public void setUpsPhaseOutVoltage(String upsPhaseOutVoltage) {
		this.upsPhaseOutVoltage = upsPhaseOutVoltage;
	}

	public String getUpsPhaseOutCurrent() {
		return upsPhaseOutCurrent;
	}

	public void setUpsPhaseOutCurrent(String upsPhaseOutCurrent) {
		this.upsPhaseOutCurrent = upsPhaseOutCurrent;
	}
}
