package s.d.manager.snmp;


public class UpsMib {
	public static final String batteryLowFlag  = "1.3.6.1.4.1.34498.2.3.1.7.0";
	public static final String ipAddress = "1.3.6.1.4.1.34498.100.1.1.0";
	public static final String mask = "1.3.6.1.4.1.34498.100.1.2.0";
	public static final String gateway = "1.3.6.1.4.1.34498.100.1.3.0";
	public static final String upsAlarmFlag = "1.3.6.1.4.1.34498.2.3.1.3.0";
	public static final String upsTemperature = "1.3.6.1.4.1.34498.2.3.1.8.0";
	public static final String password = "1.3.6.1.4.1.34498.99.1.1.0";
	public static final String statusAccess = "1.3.6.1.4.1.34498.99.1.2.0";
	public static final String upsPhaseParamsTable = "1.3.6.1.4.1.34498.2.3.2.1";
	public static final String upsRatedACVoltage = "1.3.6.1.4.1.34498.2.3.4.2.0";
	public static final String upsMaxACCurrent = "1.3.6.1.4.1.34498.2.3.4.3.0";
	public static final String upsNominalBatVoltage = "1.3.6.1.4.1.34498.2.3.4.4.0";
	public static final String upsRatedFrequency = "1.3.6.1.4.1.34498.2.3.4.5.0";
	public static final String upsBypassStatusFlag = "1.3.6.1.4.1.34498.2.3.1.5.0";
	public static final String upsInVoltageFlag = "1.3.6.1.4.1.34498.2.3.1.4.0";
	public static final String upsPhaseNumber = "1.3.6.1.4.1.34498.2.3.1.1.0";
	public static final String upsBatteryTestStart =  "1.3.6.1.4.1.34498.2.3.5.1.0";
	public static final String upsBatteryAlarmFlag = "1.3.6.1.4.1.34498.2.3.1.9.0";
	public static final String upsBatteryTestFlag = "1.3.6.1.4.1.34498.2.3.1.6.0";
	public static final String readCommunityName = "1.3.6.1.4.1.34498.100.2.1.3.0";
	public static final String writeCommunityName = "1.3.6.1.4.1.34498.100.2.1.4.0";
	public static final String trapAdrNumber = "1.3.6.1.4.1.34498.100.2.1.2.0";
	public static final String trapReceieverIPAddr = "1.3.6.1.4.1.34498.100.2.2.1.2.";
	public static final String trapLanguage = "1.3.6.1.4.1.34498.100.2.1.1.0";
	public static final String relayAssigmentSection = "1.3.6.1.4.1.34498.2.3.6.1.1.2.";
	public static final String relayPolaritySection = "1.3.6.1.4.1.34498.2.3.6.1.1.3.";
	public static final String controlContactStatusFlagSection = "1.3.6.1.4.1.34498.2.3.3.1.1.2.";
	public static final String deviceMibFileVersion = "1.3.6.1.4.1.34498.1.5.0";
	public static final String versionNumber = "1.3.6.1.4.1.34498.1.3.0";
	public static final String organisationName = "1.3.6.1.4.1.34498.1.1.0";
	public static final String deviceName = "1.3.6.1.4.1.34498.1.2.0";
	public static final String deviceClass = "1.3.6.1.4.1.34498.1.4.0";
	public static final String upsConnectedFlag = "1.3.6.1.4.1.34498.2.3.1.2.0";
	public static final String overloadFlag = "1.3.6.1.4.1.34498.2.3.1.11.0";
	public static final String upsEmergencyStop = "1.3.6.1.4.1.34498.2.3.1.12.0";
	public static final String upsBatteryVoltage = "1.3.6.1.2.1.33.1.2.5.0";
	public static final String upsBatteryEstimateCharge = "1.3.6.1.2.1.33.1.2.4.0";
	
	//ClimatControl
	public static final String CLIMAT_CONTROL_DOOR_ALARM_FLAG = "1.3.6.1.4.1.34498.2.3.8.3.1.0";
	public static final String CLIMAT_CONTROL_FIRE_ALARM_FLAG = "1.3.6.1.4.1.34498.2.3.8.3.2.0";
	public static final String CLIMAT_CONTROL_FIRE_FIGHTING_ALARM_FLAG = "1.3.6.1.4.1.34498.2.3.8.3.3.0";
	public static final String CLIMAT_CONTROL_FLOOD_ALARM_FLAG = "1.3.6.1.4.1.34498.2.3.8.3.4.0";
	public static final String CLIMAT_CONTROL_CONDITIONER_ALARM_FLAG = "1.3.6.1.4.1.34498.2.3.8.3.5.0";
	public static final String CLIMAT_CONTROL_CONDITIONER_LOCK_FLAG = "1.3.6.1.4.1.34498.2.3.8.3.6.0";
	public static final String CLIMAT_CONTROL_IMPACT_FLAG = "1.3.6.1.4.1.34498.2.3.8.3.7.0";
	public static final String CLIMAT_CONTROL_FAN_ALARM_FLAG = "1.3.6.1.4.1.34498.2.3.8.3.8.0";
	public static final String CLIMAT_CONTROL_FAN_LOCK_FLAG = "1.3.6.1.4.1.34498.2.3.8.3.9.0";
	public static final String CLIMAT_CONTROL_SMOKE_FLAG = "1.3.6.1.4.1.34498.2.3.8.3.10.0";
	
	public final static String CLIMAT_CONTROL_UNIT_1_PRESENCE = "1.3.6.1.4.1.34498.2.3.8.1.1.1.0"; 
    public final static String CLIMAT_CONTROL_UNIT_1_CONNECT = "1.3.6.1.4.1.34498.2.3.8.1.1.2.0"; 
    public final static String CLIMAT_CONTROL_UNIT_1_NAME = "1.3.6.1.4.1.34498.2.3.8.1.1.3.0"; 
    public final static String CLIMAT_CONTROL_UNIT_1_IN_NUMBER = "1.3.6.1.4.1.34498.2.3.8.1.1.4.0";
    public final static String CLIMAT_CONTROL_UNIT_1_OUT_NUMBER = "1.3.6.1.4.1.34498.2.3.8.1.1.5.0";
    
    public final static String CLIMAT_CONTROL_UNIT_2_PRESENCE = "1.3.6.1.4.1.34498.2.3.8.2.1.1.0"; 
    public final static String CLIMAT_CONTROL_UNIT_2_CONNECT = "1.3.6.1.4.1.34498.2.3.8.2.1.2.0"; 
    public final static String CLIMAT_CONTROL_UNIT_2_NAME = "1.3.6.1.4.1.34498.2.3.8.2.1.3.0"; 
    public final static String CLIMAT_CONTROL_UNIT_2_IN_NUMBER = "1.3.6.1.4.1.34498.2.3.8.2.1.4.0";
    public final static String CLIMAT_CONTROL_UNIT_2_OUT_NUMBER = "1.3.6.1.4.1.34498.2.3.8.2.1.5.0";

    public final static String CLIMAT_CONTROL_1_T1 = "1.3.6.1.4.1.34498.2.3.8.1.2.1.0";
    public final static String CLIMAT_CONTROL_1_T2 = "1.3.6.1.4.1.34498.2.3.8.1.2.3.0";   
    public final static String ClimatControl_1_T1Presence = "1.3.6.1.4.1.34498.2.3.8.1.2.2.0";
    public final static String ClimatControl_1_T2Presence = "1.3.6.1.4.1.34498.2.3.8.1.2.4.0";
    
    public final static String CLIMAT_CONTROL_2_T1 = "1.3.6.1.4.1.34498.2.3.8.2.2.1.0";
    public final static String CLIMAT_CONTROL_2_T2 = "1.3.6.1.4.1.34498.2.3.8.2.2.3.0";   
    public final static String ClimatControl_2_T1Presence = "1.3.6.1.4.1.34498.2.3.8.2.2.2.0";
    public final static String ClimatControl_2_T2Presence = "1.3.6.1.4.1.34498.2.3.8.2.2.4.0";
    
    public final static String CLIMAT_CONTROL_1_H1 = "1.3.6.1.4.1.34498.2.3.8.1.3.1.0";                            
    public final static String CLIMAT_CONTROL_1_H1Presence = "1.3.6.1.4.1.34498.2.3.8.1.3.2.0";
    
    public final static String CLIMAT_CONTROL_2_H1 = "1.3.6.1.4.1.34498.2.3.8.2.3.1.0";                            
    public final static String CLIMAT_CONTROL_2_H1Presence = "1.3.6.1.4.1.34498.2.3.8.2.3.2.0";
    
    public final static String CLIMAT_CONTROL_1_FAN_PRESENCE = "1.3.6.1.4.1.34498.2.3.8.1.6.1.0";
    public final static String CLIMAT_CONTROL_1_FAN_TEMP_LOW = "1.3.6.1.4.1.34498.2.3.8.1.6.2.0";
    public final static String CLIMAT_CONTROL_1_FAN_TEMP_HIGH = "1.3.6.1.4.1.34498.2.3.8.1.6.3.0";
    public final static String CLIMAT_CONTROL_1_FAN_POWER = "1.3.6.1.4.1.34498.2.3.8.1.6.4.0";
    
    public final static String CLIMAT_CONTROL_2_FAN_PRESENCE = "1.3.6.1.4.1.34498.2.3.8.2.6.1.0";
    public final static String CLIMAT_CONTROL_2_FAN_TEMP_LOW = "1.3.6.1.4.1.34498.2.3.8.2.6.2.0";
    public final static String CLIMAT_CONTROL_2_FAN_TEMP_HIGH = "1.3.6.1.4.1.34498.2.3.8.2.6.3.0";
    public final static String CLIMAT_CONTROL_2_FAN_POWER = "1.3.6.1.4.1.34498.2.3.8.2.6.4.0";
    
    public final static String CLIMAT_CONTROL_1_INPUT_TABLE = "1.3.6.1.4.1.34498.2.3.8.1.4.1";
    
    public final static String CLIMAT_CONTROL_1_INPUT_FLAG = "1.3.6.1.4.1.34498.2.3.8.1.4.1.1.2";
    public final static String CLIMAT_CONTROL_1_INPUT_TYPE = "1.3.6.1.4.1.34498.2.3.8.1.4.1.1.3";
    public final static String CLIMAT_CONTROL_1_INPUT_ASSIGMENT = "1.3.6.1.4.1.34498.2.3.8.1.4.1.1.4";
    public final static String CLIMAT_CONTROL_1_INPUT_DELAY = "1.3.6.1.4.1.34498.2.3.8.1.4.1.1.5";
    
    public final static String CLIMAT_CONTROL_2_INPUT_TABLE = "1.3.6.1.4.1.34498.2.3.8.2.4.1";
    
    public final static String CLIMAT_CONTROL_2_INPUT_FLAG = "1.3.6.1.4.1.34498.2.3.8.2.4.1.1.2";
    public final static String CLIMAT_CONTROL_2_INPUT_TYPE = "1.3.6.1.4.1.34498.2.3.8.2.4.1.1.3";
    public final static String CLIMAT_CONTROL_2_INPUT_ASSIGMENT = "1.3.6.1.4.1.34498.2.3.8.2.4.1.1.4";
    public final static String CLIMAT_CONTROL_2_INPUT_DELAY = "1.3.6.1.4.1.34498.2.3.8.2.4.1.1.5";
    
    public final static String CLIMAT_CONTROL_1_OUTPUT_TABLE = "1.3.6.1.4.1.34498.2.3.8.1.5.1";
    
    public final static String CLIMAT_CONTROL_1_OUTPUT_FLAG = "1.3.6.1.4.1.34498.2.3.8.1.5.1.1.2";
    public final static String CLIMAT_CONTROL_1_OUTPUT_ASSIGMENT = "1.3.6.1.4.1.34498.2.3.8.1.5.1.1.3";
    
    public final static String CLIMAT_CONTROL_2_OUTPUT_TABLE = ".1.3.6.1.4.1.34498.2.3.8.2.5.1";
    
    public final static String CLIMAT_CONTROL_2_OUTPUT_FLAG = "1.3.6.1.4.1.34498.2.3.8.2.5.1.1.2";
    public final static String CLIMAT_CONTROL_2_OUTPUT_ASSIGMENT = "1.3.6.1.4.1.34498.2.3.8.2.5.1.1.3";
}
